Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPStructuredGridReader Class Reference

`#include <vtkXMLPStructuredGridReader.h>`

Inheritance diagram for vtkXMLPStructuredGridReader:

[legend]
Collaboration diagram for vtkXMLPStructuredGridReader:

[legend]
List of all members.

## Detailed Description

Read PVTK XML StructuredGrid files.

Date:
  2002/11/22 20:48:59

Revision:
  1.2

vtkXMLPStructuredGridReader reads the PVTK XML StructuredGrid file format. This reads the parallel format's summary file and then uses vtkXMLStructuredGridReader to read data from the individual StructuredGrid piece files. Streaming is supported. The standard extension for this reader's file format is "pvts".

See also:
  vtkXMLStructuredGridReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLPStructuredGridReader.cxx)`
  - .`h` (`/IO/vtkXMLPStructuredGridReader.h)`

Definition at line 49 of file vtkXMLPStructuredGridReader.h.

## Public Types
typedef vtkXMLPStructuredDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkStructuredGrid *output)
vtkStructuredGrid * | GetOutput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPStructuredGridReader * | SafeDownCast (vtkObject *o)
vtkXMLPStructuredGridReader * | New ()
## Protected Methods
| vtkXMLPStructuredGridReader ()
| ~vtkXMLPStructuredGridReader ()
vtkStructuredGrid * | GetPieceInput (int index)
const char * | GetDataSetName ()
void | SetOutputExtent (int *extent)
void | GetPieceInputExtent (int index, int *extent)
int | ReadPrimaryElement (vtkXMLDataElement *ePrimary)
void | SetupOutputInformation ()
void | SetupOutputData ()
int | ReadPieceData ()
vtkXMLDataReader * | CreatePieceReader ()
## Protected Attributes
vtkXMLDataElement * | PPointsElement

## Member Typedef Documentation

typedef vtkXMLPStructuredDataReader vtkXMLPStructuredGridReader::Superclass

| Reimplemented from vtkXMLPStructuredDataReader. Definition at line 52 of file vtkXMLPStructuredGridReader.h.

## Constructor & Destructor Documentation

vtkXMLPStructuredGridReader::vtkXMLPStructuredGridReader | ( |  | ) | `[protected]`

vtkXMLPStructuredGridReader::~vtkXMLPStructuredGridReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPStructuredGridReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPStructuredDataReader.

int vtkXMLPStructuredGridReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataReader.

virtual int vtkXMLPStructuredGridReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataReader.

vtkXMLPStructuredGridReader* vtkXMLPStructuredGridReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPStructuredDataReader.

void vtkXMLPStructuredGridReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPStructuredDataReader.

vtkXMLPStructuredGridReader* vtkXMLPStructuredGridReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLPStructuredGridReader::SetOutput | ( | vtkStructuredGrid * | output | ) |

| Get/Set the reader's output.

vtkStructuredGrid* vtkXMLPStructuredGridReader::GetOutput | ( |  | ) |

| Get/Set the reader's output.

vtkStructuredGrid* vtkXMLPStructuredGridReader::GetPieceInput | ( | int | index | ) | `[protected]`

const char* vtkXMLPStructuredGridReader::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLPStructuredGridReader::SetOutputExtent | ( | int * | extent | ) | `[protected, virtual]`

| Implements vtkXMLPStructuredDataReader.

void vtkXMLPStructuredGridReader::GetPieceInputExtent | ( | int | index,
|  | int * | extent
| ) | `[protected, virtual]`

| Implements vtkXMLPStructuredDataReader.

int vtkXMLPStructuredGridReader::ReadPrimaryElement | ( | vtkXMLDataElement * | ePrimary | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPStructuredDataReader.

void vtkXMLPStructuredGridReader::SetupOutputInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader.

void vtkXMLPStructuredGridReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader.

int vtkXMLPStructuredGridReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPStructuredDataReader.

vtkXMLDataReader* vtkXMLPStructuredGridReader::CreatePieceReader | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

## Member Data Documentation

vtkXMLDataElement* vtkXMLPStructuredGridReader::PPointsElement`[protected]`

| Definition at line 78 of file vtkXMLPStructuredGridReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPStructuredGridReader.h